SDL_SetHapticGain(3)

NAME
SDL_SetHapticGain - Set the global gain of the specified haptic device.

HEADER FILE
Defined in SDL3/SDL_haptic.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SetHapticGain(SDL_Haptic *haptic, int gain);

DESCRIPTION
Device must support the SDL_HAPTIC_GAIN
 feature.

The user may specify the maximum gain by setting the environment variable

SDL_HAPTIC_GAIN_MAX which should be between 0 and 100. All calls to SDL_SetHapticGain () will scale linearly using SDL_HAPTIC_GAIN_MAX as the maximum.

FUNCTION PARAMETERS

haptic
    the SDL_Haptic
     device to set the gain on.

gain
    value to set the gain to, should be between 0 and 100 (0 - 100).

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetHapticFeatures(3)